org.apache.sis.storage

## Interface FeatureSet

- All Superinterfaces:
    DataSet, Resource

      public interface FeatureSet
      extends DataSet

  A dataset providing access to a stream of features. All features share a common set of properties described by `getType()`. The common set of properties does not need to enumerate all possible properties since additional properties can be defined in subtypes. In many cases at least one property is a geometry, but features without geometry are also allowed.
  Since:
    0.8

  Defined in the `sis-storage` module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultFeatureType` | `getType()` Returns a description of properties that are common to all features in this dataset.

    - ### Methods inherited from interface DataSet

      `getEnvelope`

    - ### Methods inherited from interface Resource

      `getMetadata`

- - ### Method Detail

    - #### getType

          DefaultFeatureType getType()
                              throws DataStoreException

      Returns a description of properties that are common to all features in this dataset. The feature type contains the definition of all properties, including but not only:
      - Name to use for accessing the property
      - Human-readable description
      - Type of values
      - Cardinality (minimum and maximum number of occurrences)
      - Coordinate Reference System.
      All features returned by `features(boolean)` will be either of that type, or a sub-type of it.
      Relationship with metadata: if subtypes exist, their list may be obtained from the metadata like below (if the `FeatureSet` implementation provides that information):

          for (ContentInformation content : metadata.getContentInfo()) {
              if (content instanceof FeatureCatalogueDescription) {
                  for (FeatureTypeInfo info : ((FeatureCatalogueDescription) content).getFeatureTypeInfo()) {
                      GenericName name = info.getFeatureTypeName();
                      // ... add the name to some list ...
                  }
              }
          }

      Returns:
        description of common properties (never `null`).
      Throws:
        `DataStoreException` - if an error occurred while reading definitions from the underlying data store.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.